package domain


type AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest struct {
    /*
        活动名称，最长20个字符     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动创建者ID（数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        活动创建者name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        活动描述，最长15个字符     */
    Description  *string `json:"description,omitempty" `

    /*
        活动终端：1-APP，2-POS（暂不支持）     */
    Terminals  *[]int32 `json:"terminals,omitempty" `

    /*
        活动生效的经营店ID     */
    StoreIds  *[]string `json:"store_ids,omitempty" `

    /*
        外部活动ID（商家自定义）     */
    OutActId  *string `json:"out_act_id,omitempty" `

    /*
        活动开始时间（毫秒时间戳）     */
    StartTime  *int64 `json:"start_time,omitempty" `

    /*
        活动结束时间（毫秒时间戳）     */
    EndTime  *int64 `json:"end_time,omitempty" `

    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        saas平台人群编码:NEW_USER: 新用户, OLD_USER：老用户，LIGHT_NEW_USER：闪购新客，MERCHANT_NEW_USER：商家新用户，MERCHANT_OLD_USER：商家老用户     */
    MemberCrowdCode  *[]string `json:"member_crowd_code,omitempty" `

    /*
        枚举： 2 美团 3 饿了么 26 京东到家 31 翱象淘鲜达     */
    Channels  *[]string `json:"channels,omitempty" `

    /*
        扩展信息，json串     */
    Attributes  *string `json:"attributes,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetActivityName(v string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.ActivityName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetDescription(v string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.Description = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetTerminals(v []int32) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.Terminals = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetStoreIds(v []string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.StoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.OutActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetStartTime(v int64) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.StartTime = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetEndTime(v int64) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.EndTime = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetActId(v int64) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetMemberCrowdCode(v []string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.MemberCrowdCode = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetChannels(v []string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.Channels = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest) SetAttributes(v string) *AlibabaRetailMarketingBuygiftActivitySaveBuyGiftActivityOperateRequest {
    s.Attributes = &v
    return s
}
